Jump to content
zyxmon

[Entware-3x] Устанавливаем Debian (chroot среду) по выбору и используем совместно с Entware

Recommended Posts

У меня все работает, правда тестировал с sshd (чтобы не настраивать openvpn). Так что разбирайтесь.

root@Keenetic_Extra ~# /opt/etc/init.d/S99debian start
Starting Debian services...
[ ok ] Starting OpenBSD Secure Shell server: sshd.
root@Keenetic_Extra ~# ps
  PID USER       VSZ STAT COMMAND
.....
 8529 root      8888 S    /usr/sbin/sshd
 8552 root      3720 R    ps
22410 root      2824 S    /opt/sbin/dropbear -p 22 -P /opt/var/run/dropbear.pid
22412 root     37348 S    -fish
root@Keenetic_Extra ~# /opt/etc/init.d/S99debian stop
Stopping Debian services...
[ ok ] Stopping OpenBSD Secure Shell server: sshd.

Вот исправленный скрипт (добавил еще пару sleep) - https://github.com/Entware-for-kernel-3x/entware-packages-3x/blob/master/admin/debootstrap/files/S99debian

Вот ссылка для скачивания скрипта - https://github.com/Entware-for-kernel-3x/entware-packages-3x/raw/master/admin/debootstrap/files/S99debian

Пакет с обновленным скриптом будут будет в бинарной репе вмест в ежемесячным обновлением.

PS После перезагрузки sshd (дебиановский) стартует как из пушки.

Share this post


Link to post
Share on other sites

Думаю проблема была в openvpn настроенном в качестве клиента. При перезагрузки роутера openvpn не запускался. Только вручную командой service openvpn star. Настроил openvpn в качестве сервера и все заработало.

Share this post


Link to post
Share on other sites

Помогите настроить дебиановский minidlna.Как правильно указать путь к медиа файлам?. В enrware-3x я это делал так /tmp/mnt/ мой диск. В дебиан такой путь не подходит .

Share this post


Link to post
Share on other sites
17 минут назад, vlad сказал:

Помогите настроить дебиановский minidlna.Как правильно указать путь к медиа файлам?. В enrware-3x я это делал так /tmp/mnt/ мой диск. В дебиан такой путь не подходит .

Это как настроите. Об этом и в руководстве написано и тут - https://github.com/Entware-for-kernel-3x/entware-packages-3x/blob/master/admin/debootstrap/files/S99debian#L44

 

Если Ваша цель openvpn и minidlna - они совершенно рабочие в entware. А minidlna из entware еще и более функционален. Версии из entware меньше ресурсов требуют.

Есть пакеты, где debian предпочтительней (например, apache) , или же в entware нет нужного пакета. openvpn и minidlna из debian - это из пушки по воробьям ;D Может это Вы так debian изучаете? Лучше поставьте на ББ в виртуальной машине  для изучения.

Share this post


Link to post
Share on other sites

В enware-3x minidlna после перезагрузки роутера не видит файлы. Приходится выполнять /opt/etc/init.d/S90minidlna restart

после чего база восстанавливается. 

Share this post


Link to post
Share on other sites
3 минуты назад, vlad сказал:

В enware-3x minidlna после перезагрузки роутера не видит файлы.

Значит стартует до того, как смонтировался носитель. Думаете в debian будет иначе? Я уже писал, как решить подобную проблему (с прошивочным minidlna) - поищите. Спросите у другого "пострадавшего", решил ли он ее.

Share this post


Link to post
Share on other sites

openvpn в entware-3x не умеет запускать несколько серверов одновременно.В debian у меня запущен openvpn server и openvpn client одновременно. Client открывает доступ запрещённым сайтам а сервер я использую для выхода в интернет с мобильника. Это можно реализовать в entware-3x. ?

 

Share this post


Link to post
Share on other sites
1 минуту назад, zyxmon сказал:

Я уже писал, как решить подобную проблему (с прошивочным minidlna

Направьте где почитать чтоб исправить !;)))

Share this post


Link to post
Share on other sites
1 минуту назад, vlad сказал:

Это можно реализовать в entware-3x. ?

Я не возражаю. Реализуйте - никаких проблем тут не вижу.

Share this post


Link to post
Share on other sites
1 минуту назад, zyxmon сказал:

Я не возражаю. Реализуйте - никаких проблем тут не вижу.

Остро пошутили ;))) если бы знал как,то не ставил бы дебиан;))А довольствовался бы entware-3x который я немного изучил. 

Share this post


Link to post
Share on other sites
Только что, vlad сказал:

Направьте где почитать чтоб исправить !;)))

В правом верхнем углу есть поиск, введите слово minidlna и ищите. Это же Вам нужно.... ЕМНИП отвечал я @emlen 

Share this post


Link to post
Share on other sites
4 минуты назад, vlad сказал:

если бы знал как,то не ставил бы дебиан;))А довольствовался бы entware-3x который я немного изучил. 

А Вы пробуйте сделать и задавайте вопросы в отдельной теме, если не выходит. Не вижу тут принципиальной разницы между debian и entware.

Share this post


Link to post
Share on other sites

Привет всем,

 

столкнулся с проблемой при установке debian на Keenetic Giga 2, далее по порядку:

прошивка 2.10.A.4.0-1, Entware-3x давно и активно используется без проблем

BusyBox v1.25.1 - версию 1.25.1-2а апгрейдом не ставит, по-этому просто поставил пакеты ar, coreutils-chroot, coreutils-readlink, xz.

После инсталла debootstrap подправил /opt/bin/install-debian : установил ARCH=mips (в соответствии с актуальной архитектурой процессора)

работа install-debian не вывела в лог ни одного error сообщения - только info и один warning

        W: Cannot check Release signature; keyring file not available /usr/share/keyrings/debian-archive-keyring.gpg

Демон /opt/etc/init.d/S99debian стартовал и крутится, но

при попытке запуска start-debian получаю сообщение

         chroot: can't execute '/bin/bash': Exec format error

в самой директории /bin нет ни хардлинкла, ни симлинка bash, что впрочем всегда было ок, так как бин директория используемая entware - это /opt/bin

но само сообщение говорит не об отсутствии /bin/bash а больше похоже на несовместимость (только, в связи с отсутствием объекта, неясно чего именно) с системой

Тем не менее в скрипте start-debian для эксперимента заменил оба вхождения /bin/bash на /opt/bin/bash - скрипт отработал, но

ни один бинарник, ни одна команда (passwd, ls, cd, more ...) в запущенной среде не работает - все сводится к той же ошибке:

         <команда/бинарник>: cannot execute binary file: Exec format error

 

примечания -

 

пробовал менять архитектуру в install-debian - пробовал и mips, и mipsel

менял зеркало пакетов на https://mirror.yandex.ru/debian (пробовал из броузера - доступно)

 

что смущает - самая первая попытка проинсталлировать debian способом из этой ветки была косячной из-за того что busybox на тот момент был более устаревший  - инсталляция прервалась с error сообщением (старую версию busybox и текст ошибки не помню уже, из буфера тоже уже ушло)

следующие попытки установки делались запуском install-debian поверх имеющегося инстанса (при выключенном демоне, разумеется), так как я не знаю корректного способа его деинсталляции.

 

Если у кого-либо есть идеи или опыт столкновения с подобными проблемами, буду признателен за советы.

И еще есть ли кто-то из читающих это, у кого debian данным способом установлен на Keenetic Giga 2 ? - отпишитесь пожалуйста, хочу прояснить ситуацию с тем, почему скрипт start-debian пытается использовать несуществующий путь /bin/bash (в моем случае)

Заранее спасибо :)

 

Share this post


Link to post
Share on other sites
36 минут назад, zyxmon сказал:

Это mipsel. Остановите S99debian, удалите папку /opt/debian. Поставьте заново.

Спасибо Вам огромное!

Это решило проблему - теперь все красиво заработало

Очень признателен за помощь и особенно за оперативность :)

Share this post


Link to post
Share on other sites

Для установки Debian Stretch нужно для некоторых архитектур немного поплясать с бубном. Пляски описаны тут - http://forums.zyxmon.org/viewtopic.php?f=5&t=5567

Для кинетика установка прошла без плясок в штатном режиме.

Рассмотрены способы (авто)запуска служб(демонов) в chroot среде Debian.

  • Thanks 1

Share this post


Link to post
Share on other sites
42 минуты назад, ukr0p сказал:

Подскажите как из под debian 8 получить доступ к HDD, подключенному к USB2 Zyxel Keenetic Giga 2 ?

Как и во всех GNU/Linux. mount

Share this post


Link to post
Share on other sites
Mount is denied because the NTFS volume is already exclusively opened.
The volume may be already mounted, or another software may use it which
could be identified for example by the help of the 'fuser' command.

Про попытке сделать mount из под debian, получаю ошибку. Этот HDD уже автоматически смонтирован в entware. Нужен доступ одновременно из из двух систем.

 

Share this post


Link to post
Share on other sites
1 минуту назад, ukr0p сказал:

Про попытке сделать mount из под debian, получаю ошибку. Этот HDD уже автоматически смонтирован в entware. Нужен доступ одновременно из из двух систем.

 

Изначально вы вели речь лишь о Debian. Entware то откуда внезапно взялось?

Share this post


Link to post
Share on other sites
1 час назад, ukr0p сказал:

Добрый день!

Подскажите как из под debian 8 получить доступ к HDD, подключенному к USB2 Zyxel Keenetic Giga 2 ?

Читайте комментарии в скрипте запуска debian.

Share this post


Link to post
Share on other sites
/opt/bin/install-debian

/opt/bin/install-debian: line 38: can't create /opt/debian/usr/sbin/policy-rc.d: nonexistent directory
chmod: /opt/debian/usr/sbin/policy-rc.d: No such file or directory
Please run /opt/etc/init.d/S99debian start
Please run start-debian,change password with passwd command and run 'apt-get update'

~ # /opt/etc/init.d/S99debian start
cp: can't create '/opt/debian/etc/hosts': No such file or directory
Starting Debian services...
mount: mounting /dev on /opt/debian/dev failed: No such file or directory
mount: mounting /dev/pts on /opt/debian/dev/pts failed: No such file or directory
mount: mounting /proc on /opt/debian/proc failed: No such file or directory
mount: mounting /sys on /opt/debian/sys failed: No such file or directory
mount: mounting /opt on /opt/debian/opt failed: No such file or directory
WARNING: No Debian serices defined.
Please, define Debian services to start in /opt/debian/chroot-services.list file!
One service per line. Hint: these are script names from Debian /etc/init.d/

Ладно... создал каталоги.

root@Server:/opt# /opt/etc/init.d/S99debian stop
root@Server:/opt# /opt/etc/init.d/S99debian start
Starting Debian services...
WARNING: No Debian serices defined.
Please, define Debian services to start in /opt/debian/chroot-services.list file!
One service per line. Hint: these are script names from Debian /etc/init.d/
root@Server:/opt# start-debian
chroot: can't execute '/bin/bash': No such file or directory
 

Edited by Softx

Share this post


Link to post
Share on other sites

А как правильно удалить Debian со всеми "хвостами"?

Хочу в Debian запустить asterisk, dongle 3G.

Ну asterisk и в Entware-3x нормально работает, а вот в Entware-3x dongle не получается подрубить.

Если в Debian не запустится dongle - удалю.

И переустановить Debian хочу. (Не поверх)

Сейчас устанавливаю...

/opt/bin/install-debian
install-debian

т.е. не одну из строчек, а обе, зато как в инструкции (обе так, на всякий случай, вдруг Debian пойдет без ошибок)))

Потом удалять надо будет тоже не одну из строчек...

Share this post


Link to post
Share on other sites
В 19.10.2017 в 08:17, zyxmon сказал:

@Softx - подозрение на то, что инструкция по установке не выполнена.

 

Скрытый текст

BusyBox v1.27.2 () built-in shell (ash)

~ # opkg update
Downloading http://entware-3x.zyxmon.org/binaries/mipsel/Packages.gz
wget: bad address 'entware-3x.zyxmon.org'
*** Failed to download the package list from http://entware-3x.zyxmon.org/binari                                                     es/mipsel/Packages.gz

Collected errors:
 * opkg_download: Failed to download http://entware-3x.zyxmon.org/binaries/mipse                                                     l/Packages.gz, wget returned 1.
~ # opkg upgrade
Upgrading screen on root from 4.5.1-1 to 4.6.1-1...
Downloading http://entware-3x.zyxmon.org/binaries/mipsel/screen_4.6.1-1_mipsel-3                                                     x.ipk
Collected errors:
 * check_data_file_clashes: Package screen wants to install file /opt/etc/screen                                                     rc
        But that file is already provided by package  * opt-ndmsv2
~ # opkg install debootstrap
Package debootstrap (1.0.87-1a) installed in root is up to date.
~ # /opt/bin/install-debian
W: Cannot check Release signature; keyring file not available /usr/share/keyring                                                     s/debian-archive-keyring.gpg
I: Retrieving InRelease
I: Retrieving Release
I: Validating Packages
I: Resolving dependencies of required packages...
I: Resolving dependencies of base packages...
I: Found additional required dependencies: acl adduser dmsetup insserv libaudit-                                                     common libaudit1 libbz2-1.0 libcap2 libcap2-bin libcryptsetup4 libdb5.3 libdebco                                                     nfclient0 libdevmapper1.02.1 libgcrypt20 libgpg-error0 libkmod2 libncursesw5 lib                                                     procps3 libsemanage-common libsemanage1 libslang2 libsystemd0 libudev1 libustr-1                                                     .0-1 procps systemd systemd-sysv udev
I: Found additional base dependencies: libdns-export100 libffi6 libgmp10 libgnut                                                     ls-deb0-28 libgnutls-openssl27 libhogweed2 libicu52 libidn11 libirs-export91 lib                                                     isc-export95 libisccfg-export90 libmnl0 libnetfilter-acct1 libnettle4 libnfnetli                                                     nk0 libp11-kit0 libpsl0 libtasn1-6
I: Checking component main on http://ftp.debian.org/debian...
I: Validating acl 2.2.52-2
I: Validating libacl1 2.2.52-2
I: Validating adduser 3.113+nmu3
I: Validating apt 1.0.9.8.4
I: Validating apt-utils 1.0.9.8.4
I: Validating libapt-inst1.5 1.0.9.8.4
I: Validating libapt-pkg4.12 1.0.9.8.4
I: Validating libattr1 1:2.4.47-2
I: Validating libaudit-common 1:2.4-1
I: Validating libaudit1 1:2.4-1+b1
I: Validating base-files 8+deb8u9
I: Validating base-passwd 3.5.37
I: Validating bash 4.3-11+deb8u1
I: Validating libdns-export100 1:9.9.5.dfsg-9+deb8u12
I: Validating libirs-export91 1:9.9.5.dfsg-9+deb8u12
I: Validating libisc-export95 1:9.9.5.dfsg-9+deb8u12
I: Validating libisccfg-export90 1:9.9.5.dfsg-9+deb8u12
I: Validating libboost-iostreams1.55.0 1.55.0+dfsg-3
I: Validating bsdmainutils 9.0.6
I: Validating libbz2-1.0 1.0.6-7+b3
I: Validating libdebconfclient0 0.192
I: Validating coreutils 8.23-4
I: Validating cpio 2.11+dfsg-4.1+deb8u1
I: Validating cron 3.0pl1-127+deb8u1
I: Validating libcryptsetup4 2:1.6.6-5
I: Validating dash 0.5.7-4+b1
I: Validating libdb5.3 5.3.28-9
I: Validating debconf 1.5.56+deb8u1
I: Validating debconf-i18n 1.5.56+deb8u1
I: Validating debian-archive-keyring 2017.5~deb8u1
I: Validating debianutils 4.4+b1
I: Validating diffutils 1:3.3-1+b1
I: Validating dpkg 1.17.27
I: Validating e2fslibs 1.42.12-2+b1
I: Validating e2fsprogs 1.42.12-2+b1
I: Validating libcomerr2 1.42.12-2+b1
I: Validating libss2 1.42.12-2+b1
I: Validating findutils 4.4.2-9+b1
I: Validating gcc-4.8-base 4.8.4-1
I: Validating gcc-4.9-base 4.9.2-10
I: Validating libgcc1 1:4.9.2-10
I: Validating libstdc++6 4.9.2-10
I: Validating libgdbm3 1.8.3-13.1
I: Validating libc-bin 2.19-18+deb8u10
I: Validating libc6 2.19-18+deb8u10
I: Validating multiarch-support 2.19-18+deb8u10
I: Validating libgmp10 2:6.0.0+dfsg-6
I: Validating gnupg 1.4.18-7+deb8u3
I: Validating gpgv 1.4.18-7+deb8u3
I: Validating libgnutls-deb0-28 3.3.8-6+deb8u7
I: Validating libgnutls-openssl27 3.3.8-6+deb8u7
I: Validating grep 2.20-4.1
I: Validating groff-base 1.22.2-8
I: Validating gzip 1.6-4
I: Validating hostname 3.15
I: Validating libicu52 52.1-8+deb8u5
I: Validating ifupdown 0.7.53.1
I: Validating init 1.22
I: Validating init-system-helpers 1.22
I: Validating insserv 1.14.0-5
I: Validating iproute2 3.16.0-2
I: Validating iptables 1.4.21-2+b1
I: Validating libxtables10 1.4.21-2+b1
I: Validating iputils-ping 3:20121221-5+b2
I: Validating isc-dhcp-client 4.3.1-6+deb8u2
I: Validating isc-dhcp-common 4.3.1-6+deb8u2
I: Validating libjson-c2 0.11-4
I: Validating kmod 18-3
I: Validating libkmod2 18-3
I: Validating less 458-3
I: Validating libcap2 1:2.24-8
I: Validating libcap2-bin 1:2.24-8
I: Validating libestr0 0.1.9-1.1
I: Validating libffi6 3.1-2+deb8u1
I: Validating libgcrypt20 1.6.3-2+deb8u4
I: Validating libgpg-error0 1.17-3
I: Validating libidn11 1.29-1+deb8u2
I: Validating liblocale-gettext-perl 1.05-8+b1
I: Validating liblogging-stdlog0 1.0.4-1
I: Validating liblognorm1 1.0.1-3
I: Validating libmnl0 1.0.3-5
I: Validating libnetfilter-acct1 1.0.2-1.1
I: Validating libnfnetlink0 1.0.1-3
I: Validating libpipeline1 1.4.0-1
I: Validating libpsl0 0.5.1-1
I: Validating libselinux1 2.3-2
I: Validating libsemanage-common 2.3-1
I: Validating libsemanage1 2.3-1+b1
I: Validating libsepol1 2.3-2
I: Validating libsigc++-2.0-0c2a 2.4.0-1
I: Validating libtasn1-6 4.2-3+deb8u3
I: Validating libtext-charwidth-perl 0.04-7+b3
I: Validating libtext-iconv-perl 1.7-5+b2
I: Validating libtext-wrapi18n-perl 0.06-7
I: Validating libusb-0.1-4 2:0.1.12-25
I: Validating logrotate 3.8.7-1+b1
I: Validating lsb-base 4.1+Debian13+nmu1
I: Validating dmsetup 2:1.02.90-2.2+deb8u1
I: Validating libdevmapper1.02.1 2:1.02.90-2.2+deb8u1
I: Validating man-db 2.7.0.2-5
I: Validating manpages 3.74-1
I: Validating mawk 1.3.3-17
I: Validating nano 2.2.6-3
I: Validating libncurses5 5.9+20140913-1+b1
I: Validating libncursesw5 5.9+20140913-1+b1
I: Validating libtinfo5 5.9+20140913-1+b1
I: Validating ncurses-base 5.9+20140913-1
I: Validating ncurses-bin 5.9+20140913-1+b1
I: Validating net-tools 1.60-26+b1
I: Validating netbase 5.3
I: Validating netcat-traditional 1.10-41
I: Validating libhogweed2 2.7.1-5+deb8u2
I: Validating libnettle4 2.7.1-5+deb8u2
I: Validating libnewt0.52 0.52.17-1+b1
I: Validating whiptail 0.52.17-1+b1
I: Validating nfacct 1.0.1-1.1
I: Validating libssl1.0.0 1.0.1t-1+deb8u6
I: Validating libp11-kit0 0.20.7-1
I: Validating libpam-modules 1.1.8-3.1+deb8u2+b1
I: Validating libpam-modules-bin 1.1.8-3.1+deb8u2+b1
I: Validating libpam-runtime 1.1.8-3.1+deb8u2
I: Validating libpam0g 1.1.8-3.1+deb8u2+b1
I: Validating libpcre3 2:8.35-3.3+deb8u4
I: Validating perl-base 5.20.2-3+deb8u8
I: Validating libpopt0 1.16-10
I: Validating libprocps3 2:3.3.9-9
I: Validating procps 2:3.3.9-9
I: Validating libreadline6 6.3-8+b3
I: Validating readline-common 6.3-8
I: Validating rsyslog 8.4.2-1+deb8u2
I: Validating sed 4.2.2-4+deb8u1
I: Validating sensible-utils 0.0.9
I: Validating login 1:4.2-3+deb8u4
I: Validating passwd 1:4.2-3+deb8u4
I: Validating libslang2 2.3.0-2
I: Validating startpar 0.59-3
I: Validating libsystemd0 215-17+deb8u7
I: Validating libudev1 215-17+deb8u7
I: Validating systemd 215-17+deb8u7
I: Validating systemd-sysv 215-17+deb8u7
I: Validating udev 215-17+deb8u7
I: Validating initscripts 2.88dsf-59
I: Validating sysv-rc 2.88dsf-59
I: Validating sysvinit-utils 2.88dsf-59
I: Validating tar 1.27.1-2+deb8u1
I: Validating tasksel 3.31+deb8u1
I: Validating tasksel-data 3.31+deb8u1
I: Validating traceroute 1:2.0.20-2+b1
I: Validating tzdata 2017b-0+deb8u1
I: Validating libustr-1.0-1 1.0.4-3+b2
I: Validating bsdutils 1:2.25.2-6
I: Validating libblkid1 2.25.2-6
I: Validating libmount1 2.25.2-6
I: Validating libsmartcols1 2.25.2-6
I: Validating libuuid1 2.25.2-6
I: Validating mount 2.25.2-6
I: Validating util-linux 2.25.2-6
I: Validating vim-common 2:7.4.488-7+deb8u3
I: Validating vim-tiny 2:7.4.488-7+deb8u3
I: Validating wget 1.16-1+deb8u2
I: Validating liblzma5 5.1.1alpha+20120614-2+b3
I: Validating zlib1g 1:1.2.8.dfsg-2+b1
I: Chosen extractor for .deb packages: ar
I: Extracting acl...
/opt/bin/install-debian: line 38: can't create /opt/debian/usr/sbin/policy-rc.d:                                                      nonexistent directory
chmod: /opt/debian/usr/sbin/policy-rc.d: No such file or directory
Please run /opt/etc/init.d/S99debian start
Please run start-debian,change password with passwd command and run 'apt-get upd                                                     ate'
~ # /opt/etc/init.d/S99debian start
Debian services have already started, exiting...
~ # start-debian
chroot: can't execute '/bin/bash': No such file or directory
~ # /opt/etc/init.d/S99debian stop
~ # install-debian
W: Cannot check Release signature; keyring file not available /usr/share/keyring                                                     s/debian-archive-keyring.gpg
I: Retrieving InRelease
I: Retrieving Release
I: Validating Packages
I: Resolving dependencies of required packages...
I: Resolving dependencies of base packages...
I: Found additional required dependencies: acl adduser dmsetup insserv libaudit-                                                     common libaudit1 libbz2-1.0 libcap2 libcap2-bin libcryptsetup4 libdb5.3 libdebco                                                     nfclient0 libdevmapper1.02.1 libgcrypt20 libgpg-error0 libkmod2 libncursesw5 lib                                                     procps3 libsemanage-common libsemanage1 libslang2 libsystemd0 libudev1 libustr-1                                                     .0-1 procps systemd systemd-sysv udev
I: Found additional base dependencies: libdns-export100 libffi6 libgmp10 libgnut                                                     ls-deb0-28 libgnutls-openssl27 libhogweed2 libicu52 libidn11 libirs-export91 lib                                                     isc-export95 libisccfg-export90 libmnl0 libnetfilter-acct1 libnettle4 libnfnetli                                                     nk0 libp11-kit0 libpsl0 libtasn1-6
I: Checking component main on http://ftp.debian.org/debian...
I: Validating acl 2.2.52-2
I: Validating libacl1 2.2.52-2
I: Validating adduser 3.113+nmu3
I: Validating apt 1.0.9.8.4
I: Validating apt-utils 1.0.9.8.4
I: Validating libapt-inst1.5 1.0.9.8.4
I: Validating libapt-pkg4.12 1.0.9.8.4
I: Validating libattr1 1:2.4.47-2
I: Validating libaudit-common 1:2.4-1
I: Validating libaudit1 1:2.4-1+b1
I: Validating base-files 8+deb8u9
I: Validating base-passwd 3.5.37
I: Validating bash 4.3-11+deb8u1
I: Validating libdns-export100 1:9.9.5.dfsg-9+deb8u12
I: Validating libirs-export91 1:9.9.5.dfsg-9+deb8u12
I: Validating libisc-export95 1:9.9.5.dfsg-9+deb8u12
I: Validating libisccfg-export90 1:9.9.5.dfsg-9+deb8u12
I: Validating libboost-iostreams1.55.0 1.55.0+dfsg-3
I: Validating bsdmainutils 9.0.6
I: Validating libbz2-1.0 1.0.6-7+b3
I: Validating libdebconfclient0 0.192
I: Validating coreutils 8.23-4
I: Validating cpio 2.11+dfsg-4.1+deb8u1
I: Validating cron 3.0pl1-127+deb8u1
I: Validating libcryptsetup4 2:1.6.6-5
I: Validating dash 0.5.7-4+b1
I: Validating libdb5.3 5.3.28-9
I: Validating debconf 1.5.56+deb8u1
I: Validating debconf-i18n 1.5.56+deb8u1
I: Validating debian-archive-keyring 2017.5~deb8u1
I: Validating debianutils 4.4+b1
I: Validating diffutils 1:3.3-1+b1
I: Validating dpkg 1.17.27
I: Validating e2fslibs 1.42.12-2+b1
I: Validating e2fsprogs 1.42.12-2+b1
I: Validating libcomerr2 1.42.12-2+b1
I: Validating libss2 1.42.12-2+b1
I: Validating findutils 4.4.2-9+b1
I: Validating gcc-4.8-base 4.8.4-1
I: Validating gcc-4.9-base 4.9.2-10
I: Validating libgcc1 1:4.9.2-10
I: Validating libstdc++6 4.9.2-10
I: Validating libgdbm3 1.8.3-13.1
I: Validating libc-bin 2.19-18+deb8u10
I: Validating libc6 2.19-18+deb8u10
I: Validating multiarch-support 2.19-18+deb8u10
I: Validating libgmp10 2:6.0.0+dfsg-6
I: Validating gnupg 1.4.18-7+deb8u3
I: Validating gpgv 1.4.18-7+deb8u3
I: Validating libgnutls-deb0-28 3.3.8-6+deb8u7
I: Validating libgnutls-openssl27 3.3.8-6+deb8u7
I: Validating grep 2.20-4.1
I: Validating groff-base 1.22.2-8
I: Validating gzip 1.6-4
I: Validating hostname 3.15
I: Validating libicu52 52.1-8+deb8u5
I: Validating ifupdown 0.7.53.1
I: Validating init 1.22
I: Validating init-system-helpers 1.22
I: Validating insserv 1.14.0-5
I: Validating iproute2 3.16.0-2
I: Validating iptables 1.4.21-2+b1
I: Validating libxtables10 1.4.21-2+b1
I: Validating iputils-ping 3:20121221-5+b2
I: Validating isc-dhcp-client 4.3.1-6+deb8u2
I: Validating isc-dhcp-common 4.3.1-6+deb8u2
I: Validating libjson-c2 0.11-4
I: Validating kmod 18-3
I: Validating libkmod2 18-3
I: Validating less 458-3
I: Validating libcap2 1:2.24-8
I: Validating libcap2-bin 1:2.24-8
I: Validating libestr0 0.1.9-1.1
I: Validating libffi6 3.1-2+deb8u1
I: Validating libgcrypt20 1.6.3-2+deb8u4
I: Validating libgpg-error0 1.17-3
I: Validating libidn11 1.29-1+deb8u2
I: Validating liblocale-gettext-perl 1.05-8+b1
I: Validating liblogging-stdlog0 1.0.4-1
I: Validating liblognorm1 1.0.1-3
I: Validating libmnl0 1.0.3-5
I: Validating libnetfilter-acct1 1.0.2-1.1
I: Validating libnfnetlink0 1.0.1-3
I: Validating libpipeline1 1.4.0-1
I: Validating libpsl0 0.5.1-1
I: Validating libselinux1 2.3-2
I: Validating libsemanage-common 2.3-1
I: Validating libsemanage1 2.3-1+b1
I: Validating libsepol1 2.3-2
I: Validating libsigc++-2.0-0c2a 2.4.0-1
I: Validating libtasn1-6 4.2-3+deb8u3
I: Validating libtext-charwidth-perl 0.04-7+b3
I: Validating libtext-iconv-perl 1.7-5+b2
I: Validating libtext-wrapi18n-perl 0.06-7
I: Validating libusb-0.1-4 2:0.1.12-25
I: Validating logrotate 3.8.7-1+b1
I: Validating lsb-base 4.1+Debian13+nmu1
I: Validating dmsetup 2:1.02.90-2.2+deb8u1
I: Validating libdevmapper1.02.1 2:1.02.90-2.2+deb8u1
I: Validating man-db 2.7.0.2-5
I: Validating manpages 3.74-1
I: Validating mawk 1.3.3-17
I: Validating nano 2.2.6-3
I: Validating libncurses5 5.9+20140913-1+b1
I: Validating libncursesw5 5.9+20140913-1+b1
I: Validating libtinfo5 5.9+20140913-1+b1
I: Validating ncurses-base 5.9+20140913-1
I: Validating ncurses-bin 5.9+20140913-1+b1
I: Validating net-tools 1.60-26+b1
I: Validating netbase 5.3
I: Validating netcat-traditional 1.10-41
I: Validating libhogweed2 2.7.1-5+deb8u2
I: Validating libnettle4 2.7.1-5+deb8u2
I: Validating libnewt0.52 0.52.17-1+b1
I: Validating whiptail 0.52.17-1+b1
I: Validating nfacct 1.0.1-1.1
I: Validating libssl1.0.0 1.0.1t-1+deb8u6
I: Validating libp11-kit0 0.20.7-1
I: Validating libpam-modules 1.1.8-3.1+deb8u2+b1
I: Validating libpam-modules-bin 1.1.8-3.1+deb8u2+b1
I: Validating libpam-runtime 1.1.8-3.1+deb8u2
I: Validating libpam0g 1.1.8-3.1+deb8u2+b1
I: Validating libpcre3 2:8.35-3.3+deb8u4
I: Validating perl-base 5.20.2-3+deb8u8
I: Validating libpopt0 1.16-10
I: Validating libprocps3 2:3.3.9-9
I: Validating procps 2:3.3.9-9
I: Validating libreadline6 6.3-8+b3
I: Validating readline-common 6.3-8
I: Validating rsyslog 8.4.2-1+deb8u2
I: Validating sed 4.2.2-4+deb8u1
I: Validating sensible-utils 0.0.9
I: Validating login 1:4.2-3+deb8u4
I: Validating passwd 1:4.2-3+deb8u4
I: Validating libslang2 2.3.0-2
I: Validating startpar 0.59-3
I: Validating libsystemd0 215-17+deb8u7
I: Validating libudev1 215-17+deb8u7
I: Validating systemd 215-17+deb8u7
I: Validating systemd-sysv 215-17+deb8u7
I: Validating udev 215-17+deb8u7
I: Validating initscripts 2.88dsf-59
I: Validating sysv-rc 2.88dsf-59
I: Validating sysvinit-utils 2.88dsf-59
I: Validating tar 1.27.1-2+deb8u1
I: Validating tasksel 3.31+deb8u1
I: Validating tasksel-data 3.31+deb8u1
I: Validating traceroute 1:2.0.20-2+b1
I: Validating tzdata 2017b-0+deb8u1
I: Validating libustr-1.0-1 1.0.4-3+b2
I: Validating bsdutils 1:2.25.2-6
I: Validating libblkid1 2.25.2-6
I: Validating libmount1 2.25.2-6
I: Validating libsmartcols1 2.25.2-6
I: Validating libuuid1 2.25.2-6
I: Validating mount 2.25.2-6
I: Validating util-linux 2.25.2-6
I: Validating vim-common 2:7.4.488-7+deb8u3
I: Validating vim-tiny 2:7.4.488-7+deb8u3
I: Validating wget 1.16-1+deb8u2
I: Validating liblzma5 5.1.1alpha+20120614-2+b3
I: Validating zlib1g 1:1.2.8.dfsg-2+b1
I: Chosen extractor for .deb packages: ar
I: Extracting acl...
/opt/bin/install-debian: line 38: can't create /opt/debian/usr/sbin/policy-rc.d:                                                      nonexistent directory
chmod: /opt/debian/usr/sbin/policy-rc.d: No such file or directory
Please run /opt/etc/init.d/S99debian start
Please run start-debian,change password with passwd command and run 'apt-get upd                                                     ate'
~ # /opt/etc/init.d/S99debian start
Starting Debian services...
WARNING: No Debian serices defined.
Please, define Debian services to start in /opt/debian/chroot-services.list file                                                     !
One service per line. Hint: these are script names from Debian /etc/init.d/
~ # start-debian
chroot: can't execute '/bin/bash': No such file or directory
~ # ^C
~ # opkg update
Downloading http://entware-3x.zyxmon.org/binaries/mipsel/Packages.gz

Updated list of available packages in /opt/var/opkg-lists/keen3x
~ #
~ # opkg update
Downloading http://entware-3x.zyxmon.org/binaries/mipsel/Packages.gz
Updated list of available packages in /opt/var/opkg-lists/keen3x
~ # ^C
~ # opkg update
Downloading http://entware-3x.zyxmon.org/binaries/mipsel/Packages.gz
Updated list of available packages in /opt/var/opkg-lists/keen3x
~ # opkg upgrade
Upgrading screen on root from 4.5.1-1 to 4.6.1-1...
Downloading http://entware-3x.zyxmon.org/binaries/mipsel/screen_4.6.1-1_mipsel-3                                                     x.ipk
Collected errors:
 * check_data_file_clashes: Package screen wants to install file /opt/etc/screen                                                     rc
        But that file is already provided by package  * opt-ndmsv2
~ # opkg upgrade
Upgrading screen on root from 4.5.1-1 to 4.6.1-1...
Downloading http://entware-3x.zyxmon.org/binaries/mipsel/screen_4.6.1-1_mipsel-3x.ipk
Collected errors:
 * check_data_file_clashes: Package screen wants to install file /opt/etc/screenrc
        But that file is already provided by package  * opt-ndmsv2
~ # ^C
~ # opkg update
Downloading http://entware-3x.zyxmon.org/binaries/mipsel/Packages.gz
Updated list of available packages in /opt/var/opkg-lists/keen3x
~ # opkg upgrade
Upgrading screen on root from 4.5.1-1 to 4.6.1-1...
Downloading http://entware-3x.zyxmon.org/binaries/mipsel/screen_4.6.1-1_mipsel-3x.ipk
Collected errors:
 * check_data_file_clashes: Package screen wants to install file /opt/etc/screenrc
        But that file is already provided by package  * opt-ndmsv2
~ # start-debian
chroot: can't execute '/bin/bash': No such file or directory
~ # /opt/etc/init.d/S99debian start
Debian services have already started, exiting...
~ # /opt/etc/init.d/S99debian stop
~ # опциональное редактирование /opt/bin/install-debian
-sh: опциональное: not found
~ # /opt/bin/install-debian
W: Cannot check Release signature; keyring file not available /usr/share/keyrings/debian-archive-keyring.gpg
I: Retrieving InRelease
I: Retrieving Release
I: Validating Packages
I: Resolving dependencies of required packages...
I: Resolving dependencies of base packages...
I: Found additional required dependencies: acl adduser dmsetup insserv libaudit-common libaudit1 libbz2-1.0 libcap2 libcap2-bin libcryptsetup4 libdb5.3 libdebconfclient0 libdevmapper1.02.1 libgcrypt20 libgpg-error0 libkmod2 libncursesw5 libprocps3 libsemanage-common libsemanage1 libslang2 libsystemd0 libudev1 libustr-1.0-1 procps systemd systemd-sysv udev
I: Found additional base dependencies: libdns-export100 libffi6 libgmp10 libgnutls-deb0-28 libgnutls-openssl27 libhogweed2 libicu52 libidn11 libirs-export91 libisc-export95 libisccfg-export90 libmnl0 libnetfilter-acct1 libnettle4 libnfnetlink0 libp11-kit0 libpsl0 libtasn1-6
I: Checking component main on http://ftp.debian.org/debian...
I: Validating acl 2.2.52-2
I: Validating libacl1 2.2.52-2
I: Validating adduser 3.113+nmu3
I: Validating apt 1.0.9.8.4
I: Validating apt-utils 1.0.9.8.4
I: Validating libapt-inst1.5 1.0.9.8.4
I: Validating libapt-pkg4.12 1.0.9.8.4
I: Validating libattr1 1:2.4.47-2
I: Validating libaudit-common 1:2.4-1
I: Validating libaudit1 1:2.4-1+b1
I: Validating base-files 8+deb8u9
I: Validating base-passwd 3.5.37
I: Validating bash 4.3-11+deb8u1
I: Validating libdns-export100 1:9.9.5.dfsg-9+deb8u12
I: Validating libirs-export91 1:9.9.5.dfsg-9+deb8u12
I: Validating libisc-export95 1:9.9.5.dfsg-9+deb8u12
I: Validating libisccfg-export90 1:9.9.5.dfsg-9+deb8u12
I: Validating libboost-iostreams1.55.0 1.55.0+dfsg-3
I: Validating bsdmainutils 9.0.6
I: Validating libbz2-1.0 1.0.6-7+b3
I: Validating libdebconfclient0 0.192
I: Validating coreutils 8.23-4
I: Validating cpio 2.11+dfsg-4.1+deb8u1
I: Validating cron 3.0pl1-127+deb8u1
I: Validating libcryptsetup4 2:1.6.6-5
I: Validating dash 0.5.7-4+b1
I: Validating libdb5.3 5.3.28-9
I: Validating debconf 1.5.56+deb8u1
I: Validating debconf-i18n 1.5.56+deb8u1
I: Validating debian-archive-keyring 2017.5~deb8u1
I: Validating debianutils 4.4+b1
I: Validating diffutils 1:3.3-1+b1
I: Validating dpkg 1.17.27
I: Validating e2fslibs 1.42.12-2+b1
I: Validating e2fsprogs 1.42.12-2+b1
I: Validating libcomerr2 1.42.12-2+b1
I: Validating libss2 1.42.12-2+b1
I: Validating findutils 4.4.2-9+b1
I: Validating gcc-4.8-base 4.8.4-1
I: Validating gcc-4.9-base 4.9.2-10
I: Validating libgcc1 1:4.9.2-10
I: Validating libstdc++6 4.9.2-10
I: Validating libgdbm3 1.8.3-13.1
I: Validating libc-bin 2.19-18+deb8u10
I: Validating libc6 2.19-18+deb8u10
I: Validating multiarch-support 2.19-18+deb8u10
I: Validating libgmp10 2:6.0.0+dfsg-6
I: Validating gnupg 1.4.18-7+deb8u3
I: Validating gpgv 1.4.18-7+deb8u3
I: Validating libgnutls-deb0-28 3.3.8-6+deb8u7
I: Validating libgnutls-openssl27 3.3.8-6+deb8u7
I: Validating grep 2.20-4.1
I: Validating groff-base 1.22.2-8
I: Validating gzip 1.6-4
I: Validating hostname 3.15
I: Validating libicu52 52.1-8+deb8u5
I: Validating ifupdown 0.7.53.1
I: Validating init 1.22
I: Validating init-system-helpers 1.22
I: Validating insserv 1.14.0-5
I: Validating iproute2 3.16.0-2
I: Validating iptables 1.4.21-2+b1
I: Validating libxtables10 1.4.21-2+b1
I: Validating iputils-ping 3:20121221-5+b2
I: Validating isc-dhcp-client 4.3.1-6+deb8u2
I: Validating isc-dhcp-common 4.3.1-6+deb8u2
I: Validating libjson-c2 0.11-4
I: Validating kmod 18-3
I: Validating libkmod2 18-3
I: Validating less 458-3
I: Validating libcap2 1:2.24-8
I: Validating libcap2-bin 1:2.24-8
I: Validating libestr0 0.1.9-1.1
I: Validating libffi6 3.1-2+deb8u1
I: Validating libgcrypt20 1.6.3-2+deb8u4
I: Validating libgpg-error0 1.17-3
I: Validating libidn11 1.29-1+deb8u2
I: Validating liblocale-gettext-perl 1.05-8+b1
I: Validating liblogging-stdlog0 1.0.4-1
I: Validating liblognorm1 1.0.1-3
I: Validating libmnl0 1.0.3-5
I: Validating libnetfilter-acct1 1.0.2-1.1
I: Validating libnfnetlink0 1.0.1-3
I: Validating libpipeline1 1.4.0-1
I: Validating libpsl0 0.5.1-1
I: Validating libselinux1 2.3-2
I: Validating libsemanage-common 2.3-1
I: Validating libsemanage1 2.3-1+b1
I: Validating libsepol1 2.3-2
I: Validating libsigc++-2.0-0c2a 2.4.0-1
I: Validating libtasn1-6 4.2-3+deb8u3
I: Validating libtext-charwidth-perl 0.04-7+b3
I: Validating libtext-iconv-perl 1.7-5+b2
I: Validating libtext-wrapi18n-perl 0.06-7
I: Validating libusb-0.1-4 2:0.1.12-25
I: Validating logrotate 3.8.7-1+b1
I: Validating lsb-base 4.1+Debian13+nmu1
I: Validating dmsetup 2:1.02.90-2.2+deb8u1
I: Validating libdevmapper1.02.1 2:1.02.90-2.2+deb8u1
I: Validating man-db 2.7.0.2-5
I: Validating manpages 3.74-1
I: Validating mawk 1.3.3-17
I: Validating nano 2.2.6-3
I: Validating libncurses5 5.9+20140913-1+b1
I: Validating libncursesw5 5.9+20140913-1+b1
I: Validating libtinfo5 5.9+20140913-1+b1
I: Validating ncurses-base 5.9+20140913-1
I: Validating ncurses-bin 5.9+20140913-1+b1
I: Validating net-tools 1.60-26+b1
I: Validating netbase 5.3
I: Validating netcat-traditional 1.10-41
I: Validating libhogweed2 2.7.1-5+deb8u2
I: Validating libnettle4 2.7.1-5+deb8u2
I: Validating libnewt0.52 0.52.17-1+b1
I: Validating whiptail 0.52.17-1+b1
I: Validating nfacct 1.0.1-1.1
I: Validating libssl1.0.0 1.0.1t-1+deb8u6
I: Validating libp11-kit0 0.20.7-1
I: Validating libpam-modules 1.1.8-3.1+deb8u2+b1
I: Validating libpam-modules-bin 1.1.8-3.1+deb8u2+b1
I: Validating libpam-runtime 1.1.8-3.1+deb8u2
I: Validating libpam0g 1.1.8-3.1+deb8u2+b1
I: Validating libpcre3 2:8.35-3.3+deb8u4
I: Validating perl-base 5.20.2-3+deb8u8
I: Validating libpopt0 1.16-10
I: Validating libprocps3 2:3.3.9-9
I: Validating procps 2:3.3.9-9
I: Validating libreadline6 6.3-8+b3
I: Validating readline-common 6.3-8
I: Validating rsyslog 8.4.2-1+deb8u2
I: Validating sed 4.2.2-4+deb8u1
I: Validating sensible-utils 0.0.9
I: Validating login 1:4.2-3+deb8u4
I: Validating passwd 1:4.2-3+deb8u4
I: Validating libslang2 2.3.0-2
I: Validating startpar 0.59-3
I: Validating libsystemd0 215-17+deb8u7
I: Validating libudev1 215-17+deb8u7
I: Validating systemd 215-17+deb8u7
I: Validating systemd-sysv 215-17+deb8u7
I: Validating udev 215-17+deb8u7
I: Validating initscripts 2.88dsf-59
I: Validating sysv-rc 2.88dsf-59
I: Validating sysvinit-utils 2.88dsf-59
I: Validating tar 1.27.1-2+deb8u1
I: Validating tasksel 3.31+deb8u1
I: Validating tasksel-data 3.31+deb8u1
I: Validating traceroute 1:2.0.20-2+b1
I: Validating tzdata 2017b-0+deb8u1
I: Validating libustr-1.0-1 1.0.4-3+b2
I: Validating bsdutils 1:2.25.2-6
I: Validating libblkid1 2.25.2-6
I: Validating libmount1 2.25.2-6
I: Validating libsmartcols1 2.25.2-6
I: Validating libuuid1 2.25.2-6
I: Validating mount 2.25.2-6
I: Validating util-linux 2.25.2-6
I: Validating vim-common 2:7.4.488-7+deb8u3
I: Validating vim-tiny 2:7.4.488-7+deb8u3
I: Validating wget 1.16-1+deb8u2
I: Validating liblzma5 5.1.1alpha+20120614-2+b3
I: Validating zlib1g 1:1.2.8.dfsg-2+b1
I: Chosen extractor for .deb packages: ar
I: Extracting acl...
/opt/bin/install-debian: line 38: can't create /opt/debian/usr/sbin/policy-rc.d: nonexistent directory
chmod: /opt/debian/usr/sbin/policy-rc.d: No such file or directory
Please run /opt/etc/init.d/S99debian start
Please run start-debian,change password with passwd command and run 'apt-get update'
~ # /opt/etc/init.d/S99debian start
Starting Debian services...
WARNING: No Debian serices defined.
Please, define Debian services to start in /opt/debian/chroot-services.list file!
One service per line. Hint: these are script names from Debian /etc/init.d/
~ # /opt/etc/init.d/S99debian start
Debian services have already started, exiting...
~ # /opt/etc/init.d/S99debian restart
Debian services have already started, exiting...
~ # start-debian
chroot: can't execute '/bin/bash': No such file or directory
~ #

Модель Keenetic Ultra II
   
Версия NDMS 2.11.A.4.0-2

 

3 раза по инструкции. Сверху обновление вызвало ошибку и решил еще несколько раз... Может бизя-бокса не та?

Edited by Softx

Share this post


Link to post
Share on other sites

@Softx- не засоряйте форум портянками. Для этого есть pastebin. Скорее всего shell из последнего busybox не понимает стандартную конструкцию - https://github.com/Entware-for-kernel-3x/entware-packages-3x/blob/master/admin/debootstrap/files/install-debian#L37

Или же нужно теперь предаврительно создать директорию.

Давно бы попробовали исправить..... И отписались....

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


  • Recently Browsing   0 members

    No registered users viewing this page.


×
×
  • Create New...